org.keycloak.mappers

## Class FederationConfigValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.keycloak.mappers.FederationConfigValidationException

- All Implemented Interfaces:
    Serializable

      public class FederationConfigValidationException
      extends Exception

  Author:
    Marek Posolda
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FederationConfigValidationException(String message)`
    `FederationConfigValidationException(String message, Object... parameters)`
    `FederationConfigValidationException(String message, Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object[]` | `getParameters()`
    `void` | `setParameters(Object[] parameters)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FederationConfigValidationException

          public FederationConfigValidationException(String message)

    - #### FederationConfigValidationException

          public FederationConfigValidationException(String message,
                                                     Throwable cause)

    - #### FederationConfigValidationException

          public FederationConfigValidationException(String message,
                                                     Object... parameters)

  - ### Method Detail

    - #### getParameters

          public Object[] getParameters()

    - #### setParameters

          public void setParameters(Object[] parameters)

Copyright © 2016 JBoss by Red Hat. All rights reserved.